Last Comment Bug 12882 - International sort doesn't work for Address Book
: International sort doesn't work for Address Book
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M11
Assigned To: chuang
: marina
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-31 13:28 PDT by marina
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description marina 1999-08-31 13:28:50 PDT
Steps to reproduce:
-open ABook;
-enter three new cards with those entries: "Poline Viardo", "Póline Viardo" and
"Puline Viardo";
-the correct order for the ascending sorting would be :
Poline Viardo
Póline Viardo
Puline Viardo
but Address Book does it incorrectly :
Poline
Puline
Póline
Comment 1 nhottanscp 1999-08-31 13:39:59 PDT
In my debug build, I didn't see collation keys were generated. While the
collation comparison function was called with not keys but with original strings
(e.g. display names).
Address book sorting should sort like thread pane sort (sort by using
application locale).
Reassign to phil@netscape.com.
Comment 2 Phil Peterson 1999-09-10 17:57:59 PDT
Reassign to chuang, cc hangas
Comment 3 chuang 1999-09-16 09:31:59 PDT
Fix should be in Today's build(9/16)
Comment 4 marina 1999-09-22 13:49:59 PDT
International sort is working in 09/22/99 build, marking as verified

Note You need to log in before you can comment on or make changes to this bug.